### Function

# GLib test_failed

since: 2.38

#### Declaration

    gboolean
    g_test_failed (
      void
    )

#### Description

Returns whether a test has already failed. This will be the case when g_test_fail(), `g_test_incomplete()` or `g_test_skip()` have been called, but also if an assertion has failed.

This can be useful to return early from a test if continuing after a failed assertion might be harmful.

The return value of this function is only meaningful if it is called from inside a test function.

Available since: 2.38

#### Return value

Type: `gboolean`

`TRUE` if the test has failed.